
Core - Bug # 58039

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:
Created: 2014-04-18 Assigned To:
Updated: 2014-04-18 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Fix TCA overrides when not cached
Description

The overrides are only parsed when the cache is built.
But they also need to be parsed if the bootstrap
requests an uncached load.

Related issues:
related to Core - Story # 57862: Add possibility to make all TCA additions ca... Resolved 2014-04-12

Associated revisions
Revision 1df7547a - 2014-04-18 21:30 - Helmut Hummel

[BUGFIX] Fix TCA overrides when not cached

The TCA overrides are only parsed when the cache is built.
But they also need to be parsed if the bootstrap
requests an uncached load.

Move the signal to loadBaseTca to accomplish this.

Resolves: #58039
Releases: 6.2
Change-Id: I17b871060ec11ce044d8e09b5acfe8d20a36a5e8
Reviewed-on: https://review.typo3.org/29561
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Jigal van Hemert
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2014-04-18 21:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29561
#2 - 2014-04-18 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:1df7547a7d74d0830368e00b843a55d625bf374c.
